Upload file

Uploads a file associated with a specified employment.

Please contact [email protected] to request access to this endpoint.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage employment documents (employment_documents)-Manage documents (document:write)
Company-scoped access token (assertion)Manage employment documents (employment_documents)-Manage documents (document:write)
Customer API tokenManage employment documents (employment_documents)-Manage documents (document:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

File

Parameters to upload a file

string
required

The unique identifier (UUID) of the employment to attach this file to.

file
required

The file content, base64-encoded.

string

A more specific classification within the type (e.g., "ir_35" for a UK contractor tax determination).

string

The broad category of the file (e.g., "contract", "id", "tax_document").

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json